export default class BigNumber{
    constructor(value) {
        this.value = value;
    }
    static comparedTo(value){
        if (this.value > value){
            return 1;
        }else if(this.value === value){
            return 0;
        }else{
            return -1;
        }
    }
}
// module.exports = {
//     'name': 'bignumber',
//     'category': 'Construction',
//     'syntax': [
//         'bignumber(x)'
//     ],
//     method:{
//         comparedTo(value){
//             if (this.value > value){
//                 return 1;
//             }else if(this.value === value){
//                 return 0;
//             }else{
//                 return -1;
//             }
//         }
//     },
//     'description':
//         'Create a big number from a number or string.',
//     'examples': [
//         '0.1 + 0.2',
//         'bignumber(0.1) + bignumber(0.2)',
//         'bignumber("7.2")',
//         'bignumber("7.2e500")',
//         'bignumber([0.1, 0.2, 0.3])'
//     ],
//     'seealso': [
//         'boolean', 'complex', 'fraction', 'index', 'matrix', 'string', 'unit'
//     ]
// };
